%global provider        github
%global provider_tld    com
%global project         offa
%global repo            influxdb-cxx
# https://github.com/projectatomic/oci-systemd-hook
%global provider_prefix %{provider}.%{provider_tld}/%{project}/%{repo}
%global import_path     %{provider_prefix}
%global commit          141ef6c3f9ee933262a35abe3ac5900da821078a
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

Name:		%{repo}
Version:	0.6.7
Release:	1.git%{shortcommit}%{?dist}
Summary:	InfluxDB C++ client library

Group:		Development/Libraries
License:	MIT
URL:		https://%{import_path}
Source0:	https://%{import_path}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz

BuildRequires:	cmake3 make
BuildRequires:	libcurl-devel
%if %{?rhel} == 7
BuildRequires:	devtoolset-8-toolchain
BuildRequires:	boost173-devel boost173-static
%define boostdir /usr/local/boost/1.73.0
%define booststatic ON
%else
BuildRequires:	boost-devel
%define boostdir /usr
%define booststatic OFF
%endif

%description
InfluxDB C++ client library

%package devel
Summary:	Development files for %{name}
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for %{name}

%prep
%setup -q -n %{name}-%{commit}

%build
mkdir build
cd build
%if %{?rhel} == 7
source /opt/rh/devtoolset-8/enable
%endif
cmake3 -DINFLUXCXX_TESTING=OFF -DCMAKE_INSTALL_PREFIX=/usr -DBoost_USE_STATIC_LIBS=%{booststatic} \
	-DBOOST_ROOT=%{boostdir} ..
make

%install
cd build
make install DESTDIR=%{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc LICENSE README.md CONTRIBUTING.md
%{_libdir}/lib*.so.*

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/cmake/*

%changelog

